from flask import Flask
from flask import render_template

from flask.ext.wtf import Form, TextField, Required, Email


HOST = '0.0.0.0'
DEBUG = True

app = Flask(__name__)
app.config.from_object(__name__)
app.secret_key = "Not-a-secret"



class SimpleForm(Form):
    name = TextField(u"Name", validators=[Required()])
    email = TextField(u"E-Mail", validators=[Required(), Email()])

@app.route('/', methods = ("GET", "POST"))
def index():
    form = SimpleForm()
    if form.validate_on_submit():
        return render_template("simpleform.html",
                form = form, 
                name = form.name.data,
                email = form.email.data)

    return render_template("simpleform.html", form = form)


if __name__ == '__main__':
    app.run(host = app.config['HOST'], debug = app.config['DEBUG'])
